<xml> </xml>

db4o |

# ObjectClass.translate Method

registers a translator for this class.

void translate(
ObjectTranslator translator
);

#### Parameters

translator
  this may be an ObjectTranslator or an ObjectConstructor

#### Remarks

registers a translator for this class.
Preinstalled translators are documented in the sourcecode of com.db4o.samples.translators.Default.java#defaultConfiguration().
Example translators can also be found in this folder.

#### See Also

ObjectClass Interface | com.db4o.config Namespace | com.db4o.config.ObjectTranslator | com.db4o.config.ObjectConstructor